[//]: # " Copyright (c) 2019, 2023 Oracle and/or its affiliates. All rights reserved. "
[//]: # "  "
[//]: # " This program and the accompanying materials are made available under the "
[//]: # " terms of the Eclipse Distribution License v. 1.0, which is available at "
[//]: # " http://www.eclipse.org/org/documents/edl-v10.php. "
[//]: # "  "
[//]: # " SPDX-License-Identifier: BSD-3-Clause "

# Jakarta Persistence project

[![Build Status](https://github.com/jakartaee/persistence/actions/workflows/maven.yml/badge.svg?branch=master)](https://github.com/jakartaee/persistence/actions/workflows/maven.yml?branch=master)
[![Jakarta Staging (Snapshots)](https://img.shields.io/nexus/s/https/jakarta.oss.sonatype.org/jakarta.persistence/jakarta.persistence-api.svg)](https://jakarta.oss.sonatype.org/content/repositories/staging/jakarta/persistence/jakarta.persistence-api/)

[PDF]: https://jakartaee.github.io/persistence/latest/draft.pdf
[HTML]: https://jakartaee.github.io/persistence/latest/draft.html
[API]: https://jakartaee.github.io/persistence/latest/api/jakarta.persistence/module-summary.html

Jakarta Persistence defines a standard for management of persistence
and object/relational mapping in Java(R) environments.

Latest information and milestone builds may be found at:

<https://jakartaee.github.io/persistence/>

In particular, the last drafts of the specification are available in
[PDF][] and [HTML][] format, along with [Javadoc API documentation][API].


## License

* Most of the Jakarta Persistence project source code is licensed
under the [Eclipse Public License (EPL) v2.0](https://www.eclipse.org/legal/epl-2.0/)
and [Eclipse Distribution License (EDL) v1.0.](https://www.eclipse.org/org/documents/edl-v10.php);
see the license information at the top of each source file.
* The source code for the Jakarta Persistence Specification project
is licensed under the [Eclipse Public License (EPL) v2.0](https://www.eclipse.org/legal/epl-2.0/)
and [GNU General Public License (GPL) v2 with Classpath Exception](https://www.gnu.org/software/classpath/license.html);
again, the license is in each source file.
* The binary jar files published to the Maven repository are licensed
under the same licenses as the corresponding source code;
see the file `META-INF/LICENSE.txt` in each jar file.

You’ll find the text of the licenses in the workspace in various `LICENSE.txt` or `LICENSE.md` files.
Don’t let the presence of these license files in the workspace confuse you into thinking
that they apply to all files in the workspace.

You should always read the license file included with every download, and read
the license text included in every source file.

## Contributing

We have a [contribution policy](CONTRIBUTING.md), which means we can only accept contributions under
the terms of [Eclipse Contributor Agreement](http://www.eclipse.org/legal/ECA.php).
